%define upstream_name    Test-Without-Module
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test::Without::Module - Test fallback behaviour in absence of modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows you to deliberately hide modules from a program
even though they are installed. This is mostly useful for testing modules
that have a fallback when a certain dependency module is not installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone from perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%dir %{perl_vendorlib}/Test/Without
%{perl_vendorlib}/Test/Without/*
%{_mandir}/*/*

%changelog
* Wed Jul 24 2024 tv <tv> 0.230.0-1.mga10
+ Revision: 2082459
- update to 0.23

* Wed Jul 10 2024 tv <tv> 0.220.0-1.mga10
+ Revision: 2080567
- update to 0.22

* Wed Dec 14 2022 tv <tv> 0.210.0-1.mga9
+ Revision: 1922074
- update to 0.21

* Mon Mar 21 2022 umeabot <umeabot> 0.200.0-5.mga9
+ Revision: 1810452
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-4.mga8
+ Revision: 1506616
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-3.mga7
+ Revision: 1286841
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.200.0-2.mga7
+ Revision: 1166939
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1155493
- update to 0.20

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-6.mga6
+ Revision: 1034765
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.180.0-5.mga6
+ Revision: 933600
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 739756
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.180.0-3.mga5
+ Revision: 736030
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-2.mga5
+ Revision: 686579
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 669948
- update to 0.18

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 515486
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 373913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 40051
- mageia rebuild
- imported package perl-Test-Without-Module

